package fucoin.configurations;

import akka.actor.ActorRef;
import fucoin.actions.control.ActionWalletSendMoney;
import fucoin.configurations.internal.ConfigurationName;

/**
 *
 */
@ConfigurationName("Default Configuration")
public class DefaultConfiguration extends AbstractConfiguration {

    @Override
    public void run() {
        initSupervisor();

        ActorRef wallet1 = spawnWallet("Wallet0", false);
        ActorRef wallet2 = spawnWallet("Wallet1", false);

        // TODO: this should be solved differently
        try {
            Thread.sleep(5000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }

        wallet1.tell(new ActionWalletSendMoney("Wallet1", 50), wallet1);
    }

    @Override
    public String getName() {
        return "Default Configuration";
    }

    @Override
    public void onReceive(Object message) {

    }
}
