package fucoin.configurations.internal;

import fucoin.configurations.AbstractConfiguration;

import java.util.Arrays;

/**
 *
 */
public class ConfigurationSelection {
    private Class<AbstractConfiguration> configurationClass;

    public ConfigurationSelection(Class<AbstractConfiguration> configurationClass) {
        this.configurationClass = configurationClass;
    }

    public Class<AbstractConfiguration> getConfigurationClass() {
        return configurationClass;
    }

    @Override
    public String toString() {
        System.out.println(configurationClass.isAnnotationPresent(ConfigurationName.class));
        return configurationClass.getSimpleName();
    }
}
